package com.cm.common.plugin.enums.dynamic;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: DynamicFormEnum
 * @Description: 动态表单
 * @Author: WangGeng
 * @Date: 2019/12/2 5:28 下午
 * @Version: 1.0
 **/
public enum FieldTypeEnum {

    /**
     * 文本
     */
    STRING("string"),
    /**
     * 时间戳
     */
    DATETIME("datetime"),
    /**
     * 日期
     */
    DATE("date"),
    /**
     * 整形
     */
    NUMBER("number"),
    /**
     * 双精度
     */
    DOUBLE("double"),
    /**
     * 文本域
     */
    TEXTAREA("textarea"),
    /**
     * 富文本
     */
    RICH_TEXT("richText"),
    /**
     * 下拉选择
     */
    SELECT("select"),
    /**
     * 复选
     */
    CHECKBOX("checkbox"),
    /**
     * 单选
     */
    RADIO("radio"),
    /**
     * 选择人员
     */
    SELECT_USER("selectUser"),
    /**
     * 选择部门
     */
    SELECT_DEPARTMENT("selectDepartment"),
    /**
     * 文件
     */
    FILE("file"),
    /**
     * 图片
     */
    IMAGE("image"),
    /**
     * 视频
     */
    VIDEO("video"),
    /**
     * 音频
     */
    AUDIO("audio"),
    /**
     * 外联
     */
    JOIN("join"),
    /**
     * 内联
     */
    INNER_JOIN("innerJoin"),
    /**
     * 左联
     */
    LEFT_JOIN("leftJoin"),
    /**
     * 右联
     */
    RIGHT_JOIN("rightJoin"),
    /**
     * 当前用户
     */
    CURRENT_USER("currentUser"),
    /**
     * 当前部门
     */
    CURRENT_DEPARTMENT("currentDepartment"),
    /**
     * 当前角色
     */
    CURRENT_ROLE("currentRole"),
    /**
     * 当前组
     */
    CURRENT_GROUP("currentGroup"),
    /**
     * 当前职位
     */
    CURRENT_POSITION("currentPosition");

    private String value;

    FieldTypeEnum(String value) {
        this.value = value;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

}
